#! /bin/sh -f

######################################################################
# IBM Confidential
# OCO Source Materials
# Rational ClearCase
# (C) Copyright IBM Corp. 2012. All Rights Reserved.
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
######################################################################

#
# The purpose of this script is to wrap the CCBE server's executable so that
# required setup can be done for that executable. 
# ccbe-web and ccbe-web.sh must reside in the same directory
#
PATH=.:$PATH
#
# Unset LIBPATH or LD_LIBRARY_PATH (platform dependent) to prevent clash of JAVA 
# installed with WAS and CC
#
ARCH=`uname -s`
if [ "$ARCH" = "AIX" ]
then
    unset LIBPATH
else
    unset LD_LIBRARY_PATH
fi

#
# Pass all command line args to this next exec. Exec is used here so that
# we replace this (shell) process with the new process; we don't want both
# processes running at the same time.
#
exec /opt/rational/clearcase/bin/ccbe-web $@
